package com.qmth.teachcloud.common.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;

/**
 * @Description: 基础校区参数（保存用）
 * @Author: CaoZixuan
 * @Date: 2021-08-03
 */
public class BasicCampusParams {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "校区id")
    private Long id;

    @ApiModelProperty(value = "校区名称")
    @NotNull(message = "请输入校区名称")
    @Length(min = 1,message = "请输入校区名称")
    private String campusName;

    @ApiModelProperty(value = "校区编号")
    @NotNull(message = "请输入校区编码")
    @Length(min = 1,message = "请输入校区编码")
    private String campusCode;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "印刷室id")
    private Long printHouseId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCampusName() {
        return campusName;
    }

    public void setCampusName(String campusName) {
        this.campusName = campusName;
    }

    public String getCampusCode() {
        return campusCode;
    }

    public void setCampusCode(String campusCode) {
        this.campusCode = campusCode;
    }

    public Long getPrintHouseId() {
        return printHouseId;
    }

    public void setPrintHouseId(Long printHouseId) {
        this.printHouseId = printHouseId;
    }
}
